Unable to link the driver with Omniverse

Hello, I am using Ubuntu 20.04 with GeForce RTX 3080 GPU 16GB (laptop). My CPU is 11th Gen Intel® Core™ i7-11800H @ 2.30GHz × 16, which meets the requirement. I followed the driver installation guide in Linux troubleshooting (Linux Troubleshooting — Omniverse Launcher documentation). However, the omniverse still makes an error with linking GPU and Vulkan.

Here are errors while I start the Omniverse:

16:36:01.273 › Crash dumps directory: /home/won/.config/omniverse-launcher/Crashpad
16:36:01.477 › Omniverse Launcher 1.5.4 (production)
16:36:01.477 › Argv: /tmp/.mount_omnive99IyYG/omniverse-launcher
[4659:0513/163601.494274:ERROR:angle_platform_impl.cc(44)] RendererVk.cpp:122 (VerifyExtensionsPresent): Extension not supported: VK_KHR_surface
[4659:0513/163601.494401:ERROR:angle_platform_impl.cc(44)] RendererVk.cpp:122 (VerifyExtensionsPresent): Extension not supported: VK_KHR_xcb_surface
[4659:0513/163601.494476:ERROR:angle_platform_impl.cc(44)] Display.cpp:940 (initialize): ANGLE Display::initialize error 0: Internal Vulkan error (-7): A requested extension is not supported, in …/…/third_party/angle/src/libANGLE/renderer/vulkan/RendererVk.cpp, initialize:1241.
[4659:0513/163601.494517:ERROR:gl_surface_egl.cc(808)] EGL Driver message (Critical) eglInitialize: Internal Vulkan error (-7): A requested extension is not supported, in …/…/third_party/angle/src/libANGLE/renderer/vulkan/RendererVk.cpp, initialize:1241.
[4659:0513/163601.494538:ERROR:gl_surface_egl.cc(1430)] eglInitialize SwANGLE failed with error EGL_NOT_INITIALIZED
[4659:0513/163601.496461:ERROR:gl_ozone_egl.cc(20)] GLSurfaceEGL::InitializeOneOff failed.
[4659:0513/163601.518976:ERROR:viz_main_impl.cc(188)] Exiting GPU process due to errors during initialization
[4674:0513/163601.570034:ERROR:angle_platform_impl.cc(44)] RendererVk.cpp:122 (VerifyExtensionsPresent): Extension not supported: VK_KHR_surface
[4674:0513/163601.570112:ERROR:angle_platform_impl.cc(44)] RendererVk.cpp:122 (VerifyExtensionsPresent): Extension not supported: VK_KHR_xcb_surface
[4674:0513/163601.570143:ERROR:angle_platform_impl.cc(44)] Display.cpp:940 (initialize): ANGLE Display::initialize error 0: Internal Vulkan error (-7): A requested extension is not supported, in …/…/third_party/angle/src/libANGLE/renderer/vulkan/RendererVk.cpp, initialize:1241.
[4674:0513/163601.570185:ERROR:gl_surface_egl.cc(808)] EGL Driver message (Critical) eglInitialize: Internal Vulkan error (-7): A requested extension is not supported, in …/…/third_party/angle/src/libANGLE/renderer/vulkan/RendererVk.cpp, initialize:1241.
[4674:0513/163601.570201:ERROR:gl_surface_egl.cc(1430)] eglInitialize SwANGLE failed with error EGL_NOT_INITIALIZED
[4674:0513/163601.570222:ERROR:gl_ozone_egl.cc(20)] GLSurfaceEGL::InitializeOneOff failed.
[4674:0513/163601.570794:ERROR:viz_main_impl.cc(188)] Exiting GPU process due to errors during initialization
[4681:0513/163601.575446:ERROR:gpu_init.cc(454)] Passthrough is not supported, GL is disabled, ANGLE is
16:36:01.577 › Running “/home/won/.local/share/ov/pkg/cache-2022.1.1/System Monitor/omni-system-monitor”
16:36:01.582 › Reset current installer.
16:36:02.062 › Logged in.
16:36:02.125 › Running production web server.
16:36:02.127 › HTTP endpoints listening at http://localhost:33480
16:36:02.128 › Saving omniverse-launcher.desktop file to /tmp/omniverse-launcher-zDrUaH…
16:36:02.128 ›
[Desktop Entry]
Name=omniverse-launcher
Exec=“/home/won/Downloads/omniverse-launcher-linux.AppImage” --no-sandbox %u
Type=Application
Terminal=false
MimeType=x-scheme-handler/omniverse-launcher
16:36:02.171 › Saving omniverse.desktop file to /tmp/omniverse-launcher-T50d4E…
16:36:02.171 ›
[Desktop Entry]
Name=omniverse-launcher
Exec=“/home/won/Downloads/omniverse-launcher-linux.AppImage” --no-sandbox %u
Type=Application
Terminal=false
MimeType=x-scheme-handler/omniverse

I followed Q1 and Q3. Now I’m using the driver NVIDIA-Linux-x86_64-510.60.02.run.

Any help would be appreciated.

Thank you!

1 Like

I have the same problem. My driver version is 470.52.

I also have this same problem.

Ubuntu 20.04
Driver 520.61.05

Hello @grep-R! I’ve reached out to the development team for some assistance. I will post back when I have more information!

The same problem.

Ubuntu 18.04
Driver 520